.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1.7vw 3%;
    top: 0;
    left: 0;
    width: 100%;
    height: auto; 
    position: relative;
    z-index: 100;
    background-color: #806ca6;
    transition: background-color 0.3s ease;
}

.header-left {
    
    display: flex;
    align-items: center;
}

.header-right {
    
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.header-wrapper-column {
    display: flex;
    flex-direction: column;
    margin-top: -0.2vw;
    width: 100%;
}

.store-location {
    position: absolute;
    top: 15px; 
    right: 50px; 
    right: 3.5vw;
    display: flex;
    align-items: center;
    font-size: 1vw;
    font-family: var(--nunitosans);
    color: white;
}

.store-location a {
    font-size: 1vw;
    font-family: var(--nunitosans);
    color: white;
    text-decoration: none;
}

.store-location i {
    margin-right: 0.25vw;
    color: #f9f9f9;
}

.header-wrapper {display: flex; align-items: center; justify-content: space-between; width: 100%; margin-top: 0.6vw; gap: 0.7vw}
 

.header-logo { 
    width: 13vw;
    margin-right: 10%;
    padding: 23px;
    background-image: url("images/logo.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.header-title {
    font-family: 'Nunito Sans', sans-serif;
    font-size: 1.18vw; font-weight: bold; position: relative;
}
 
.arrow {
    font-size: 0.7vw;
    color: #dfdae8;
    margin-left: 5px;
}

.dropdown-content {
    display: none;
    position: absolute;
    top: 100%; 
    left: 0; 
    background-color: #ffffff;
    transform: translateX(-45%);
    min-width: 60vw;
    box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);
    z-index: 101; 
    border-radius: 1px;
    padding: 40px;
    margin-top: 26px;
}

.dropdown-columns {
    display: flex;
    width: 100%;
    align-items: stretch;
}

.dropdown-column {
    flex: 1;
    padding: 0 2%;
}

.dropdown-title {
    height: 2.5vw;
    background-size: cover;
    color: #6e5095;
    text-align: left;
    padding-top: 0.5vw;
    font-weight: 700;
    font-family: 'Nunito Sans', sans-serif;
    font-size: 0.9vw;
    margin-bottom: 10px;
    border-radius: 3px;
    text-transform: uppercase;
}

.dropdown-content .dropdown-column a {
    display: block;
    color: #6d6e70;
    font-family: 'Nunito Sans', sans-serif;
    font-size: 0.87vw;
    text-decoration: none;
    border-radius: 3px;
    margin-bottom: 10px;
    font-weight: 300;
    transition: background-color 0.3s ease;
}

.dropdown-content .dropdown-column a:hover {
    color: #6e5095;
}

.dropdown-separator {
    align-self: stretch;
    width: 1.5px;
    background-color: #eceded;
    margin: 0 3%;
}


.active-dropdown .dropdown-content {
    display: block;
}

.view-all-button-dropdown-wrapper {
    display: flex;
    justify-content: flex-end;
    margin-top: 30px; 
}

.view-all-button-dropdown {
    background-color: #6e5095; 
    color: white;
    font-family: 'Nunito Sans', sans-serif;
    border: 1px solid #6e5095;
    font-size: 10px;
    font-size: 0.73vw;
    font-weight: 500; 
    padding: 10px 30px;
    white-space: nowrap; 
    letter-spacing: 1.5px;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.view-all-button-dropdown:hover {background-color: #FFF; color: #6e5095; border: 1px solid #6e5095;}

.header-title a {
    font-family: 'Nunito Sans', sans-serif;
    font-size: 1vw;
    font-weight: 600;
    color: #dfdae8;
    text-decoration: none; 
    letter-spacing: 0.5px;
    transition: color 0.3s ease-in-out;
}

.header-title a:hover {
    color: #f9f7f7; 
}

.separator {
    background-image: url("images/separator-header.png");
    background-size: contain;
    background-repeat: no-repeat;
    width: 3px; 
    height: 1.5vw; 
    margin: 0 0.2vw; 
}

.search-container {
    position: relative;
    margin-left: 15px;
}

.search-box {
    height: 2vw;
    width: 10vw;
    padding: 0 1.5em;
    border: 2px solid #dfdae8;
    border-radius: 20px;
    background-color: transparent;
    color: #dfdae8;
    font-family: 'Nunito Sans', sans-serif;
    text-align: center;
    line-height: 2.5em;
    box-sizing: border-box;
    font-size: 0.9vw;
    letter-spacing: 1px;
    cursor: pointer;
}

.search-box::placeholder {
    color: #dfdae8;
    font-size: 0.8em;
    font-weight: 500;
}

.search-icon {
    position: absolute;
    top: 50%;
    left: 0.8vw; 
    right: 0.3vw;
    transform: translateY(-50%);
    width: 1vw; 
    height: 1vw;
    background-image: url("images/icon-search.png");
    background-size: contain;
    background-repeat: no-repeat;
}

.toggle-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 6vw;
    height: 2vw;
    padding: 0 5px;
    border: 2px solid #dfdae8;
    border-radius: 25px 25px 25px 25px;
    cursor: pointer;
    position: relative;
    font-family: 'Nunito Sans', sans-serif;
}

.toggle-label {
    width: 50%;
    text-align: center;
    font-size: 0.9vw;
    position: relative;
    z-index: 1;
    color: #dfdae8;
    transition: color 0.3s;
}

.toggle-indicator {
    position: absolute;
    width: 3vw;
    height: 2vw;
    left: 0;
    background-color: #ffff;
    border-radius: 0px 0px 5px 20px;
    transition: left 0.3s, border-radius 0.3s;
    z-index: 0;
}

.toggle-container.active-en .toggle-label.en {
    color: #9982bd;
}

.toggle-container.active-en .toggle-indicator {
    left: -2px;
    border-radius: 20px 0px 0px 20px ;
}

.toggle-container.active-id .toggle-label.id {
    color: #9982bd;
}

.toggle-container.active-id .toggle-indicator {
    left: 2.9vw;
    border-radius: 0px 20px 20px 0px;
}

.menu-toggle {
    display: none;
    font-size: 24px;
    background: none;
    border: none;
    color: #FFF;
    cursor: pointer;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
    z-index: 101;
}

.mobile-menu-wrapper {
    background-color: rgba(110, 80, 149, 0.4);
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 999;
    opacity: 0;
    visibility: hidden;
    transition: var(--transition);
}

.mobile-menu-main {height: 100%;}

/* Mobile menu */
.mobile-menu {
    overflow: auto;
    position: fixed;
    top: 0;
    left: 10%;
    right: 0;
    height: 100%;
    background-color: var(--purple);
    color: #fff;
    padding-left: 10%;
    padding-right: 10%;
    transition: var(--transition);
}

.mobile-logo {
    display: flex;
    justify-content: center;
    align-items: center; 
    margin: 10px 0; 
    height: 50px;
    background-image: url("images/logo.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.mobile-menu-top {display: flex; align-items: center; justify-content: space-between; height: 15%;}
.mobile-menu-bottom {height: 85%; overflow: auto; padding-right: 25px;}
.mobile-menu-bottom::-webkit-scrollbar {width: 7px;}
.mobile-menu-bottom::-webkit-scrollbar-track {box-shadow: inset 0 0 5px grey; border-radius: 10px;}
.mobile-menu-bottom::-webkit-scrollbar-thumb {background: #FFF;  border-radius: 5px;}
.mobile-menu-bottom::-webkit-scrollbar-thumb:hover {background: var(--lightpurple);}

.mobile-menu-top .toggle-container {margin: unset;}

.mobile-menu .modal-close {width: 25px; height: 25px; position: absolute; right: 10%; top: 5vh}
.mobile-menu-wrapper.active {
    /* display: block; */
    opacity: 1;
    visibility: visible;
    transition: var(--transition);
}

.mobile-menu-item {
    padding: 0;
    font-size: 18px;
    border-bottom: 1px solid #FFF;
}

.mobile-menu .close-button {
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 24px;
    color: #dcdbdd;
    background: none;
    border: none;
    cursor: pointer;
    z-index: 100;
}

.mobile-menu a {
    font-family: 'Nunito Sans', sans-serif;
    font-size: 12px;
    font-weight: 500;
    color: #dcdbdd;
    text-decoration: none; 
    display: block;
    width: 100%;
    padding: 20px 0;
}

.mobile-menu-category {display: none; height: 100%;}
.mobile-menu-cat-title {
    font-family: 'Nunito Sans';
    font-size: 12px;
    text-transform: uppercase;
    letter-spacing: 1px;
    border-bottom: 1px solid #FFF;
    padding-bottom: 15px;
    margin-bottom: 5px;
}
.mobile-menu-category .mobile-menu-bottom {padding-right: 0;}
.mobile-menu-category-wrapper {height: 80%; overflow: auto; padding-right: 20px;}
.mobile-menu-category-wrapper::-webkit-scrollbar {width: 7px;}
.mobile-menu-category-wrapper::-webkit-scrollbar-track {box-shadow: inset 0 0 5px grey; border-radius: 10px;}
.mobile-menu-category-wrapper::-webkit-scrollbar-thumb {background: #FFF;  border-radius: 5px;}
.mobile-menu-category-wrapper::-webkit-scrollbar-thumb:hover {background: var(--lightpurple);}
.mobile-menu-cat-sub-wrapper {margin-bottom: 20px;}
.mobile-menu-cat-sub-item a {padding: 10px 0;}
.mobile-menu-category .view-all-button-dropdown-wrapper {height: 20%; margin-top: 0; display: flex; align-items: center; justify-content: center;}
.mobile-menu-category .view-all-button-dropdown {
    font-size: 11px;
    color: var(--purple);
    background: #FFF;
    font-weight: bold;
    width: auto;
    margin-left: auto;
    margin-right: auto;
    display: block;
}

.mobile-search {display: flex !important; align-items: center; column-gap: 10px;}
.mobile-search .search-icon {position: static; transform: none; width: 16px; height: 16px; display: inline-block;}
.mobile-search i {width: 16px; font-size: 16px;}

.modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: #d4cbe6;
    overflow: hidden;
}

.modal-content {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    overflow-y: auto;
    padding: 20px 2.5%;
}

.logo-container {
    margin-bottom: 20px;
}

.logo {
    width: 200px;
    height: 100px;
    background-image: url('images/logo.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    margin: 0 auto;
}

.search-modal-container {
    position: relative;
    margin: 0 auto;
    width: 80%;
    display: flex; 
    align-items: center;
    gap: 5px;
}

.search-box-wrapper {
    display: flex;
    align-items: center;
    flex-grow: 1;
    height: 50px;
    border: 2px solid #6e5095;
    border-radius: 30px;
    background-color: transparent;
    padding-left: 1.5em;
    box-sizing: border-box;
}

.search-modal-icon {
    width: 20px;
    height: 20px;
    background-image: url('images/icon-search.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    margin-right: 10px;
}

.search-box-input {
    flex-grow: 1;
    border: none;
    outline: none;
    background-color: transparent;
    font-family: 'Nunito Sans', sans-serif;
    font-size: 17px;
    color: #6e5095;
    padding: 0;
    letter-spacing: 2px;
}

.search-box-input::placeholder {
    color: #6d6e71;
}

.clear-button {
    display: none;
    cursor: pointer;
    width: 25px; 
    height: 25px;
    background-image: url('images/clear-search-icon.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    transition: transform 0.3s ease;
}

.clear-button:hover {
    transform: scale(1.1); 
}

.close-button {
    color: #6f5196;
    position: absolute;
    top: 10px;
    right: 20px;
    font-size: 28px;
    cursor: pointer;
}

.close-button:hover {
    color: #ff0000;
}

#searchResults {
    margin-top: 20px;
    width: 80%; 
    margin-left: auto;
    margin-right: auto; 
    text-align: left; 
    font-family: 'Nunito Sans', sans-serif; 
    font-size: 16px; 
    padding: 20px;
    box-sizing: border-box; 
}
#searchResults p {
    margin: 5px 0; 
    font-size: 16px; 
}

#searchResults a {
    color: #6e5095;
    font-family: 'Nunito Sans', sans-serif; 
    letter-spacing: 1px;
    text-decoration: none;
    font-size: 20px;
}

#searchResults a:hover {
    text-decoration: underline; 
}

#searchResults div {
    margin-bottom: 10px;
}


@media screen and (max-width: 1024px) {
	
}

@media screen and (max-width: 900px) {
	
}

@media screen and (max-width: 800px) {
	
}

@media screen and (max-width: 700px) {
	
}

@media screen and (max-width: 600px) {
	.header-right {display: none;}
    .menu-toggle {display: block;}
    .header-logo {width: 185px; padding: 30px;}
    .search-container {display: inline-block; margin: 2vh 0;}
    .search-icon {left: 15px; width: 19px; height: 19px;}
    .search-box {width: unset; height: unset; font-size: 12px;}
    .toggle-container.active-id .toggle-indicator {left: 40px;}
    .toggle-container {width: 81px; height: 27px; margin: 2vh auto;}
    .toggle-label {font-size: 12px;}
    .toggle-indicator {width: 41px; height: 27px;}
}

@media screen and (max-width: 550px) {
	
}

@media screen and (max-width: 500px) {
	
}

@media screen and (max-width: 450px) {
	
}

@media screen and (max-width: 400px) {
	
}

@media screen and (max-width: 350px) {
	
}